%---------------------------------
% crtanje kruznog dijagrama struja
%---------------------------------
syms s im ia iu  

im=ifm+ibm;
ia=1i.*ifm-1i.*ibm;

iu=im+ia;


ezplot(real(im),imag(im),[-1 1]);
setprave('color',[0 0 1],'linestyle','-','LineWidth',2);
hold on

ezplot(real(ia),imag(ia),[-1 1]);
setprave('color',[1 0 0],'linestyle','--','LineWidth',2);

ezplot(real(iu),imag(iu),[-1 1]);
setprave('color',[0 1 0],'linestyle','-.','LineWidth',2);


%crtanje struja

ufm=.5*(um-1i.*ua);
ubm=.5*(um+1i.*ua);
Zim=Rim+1i.*Xim;
Zia=Ria+1i.*Xia-1i.*Xc;
ZA=(Zia+Zim)./2;
ZB=(Zia-Zim)./2;
Zf=Zm*(R21./snom+1i.*X21)./(Zm+R21./snom+1i.*X21);
Zb=Zm*(R21./(2-snom)+1i.*X21)./(Zm+R21./(2-snom)+1i.*X21);
ifm=((ZA+Zb).*ufm+ZB.*ubm)./((ZA+Zf)*(ZA+Zb)-ZB.*ZB);
ibm=((ZA+Zf).*ubm+ZB.*ufm)./((ZA+Zf)*(ZA+Zb)-ZB.*ZB);
pf=(2.*abs(ifm)^2).*(((R21./snom))*Xm.^2)./((R21./snom).^2+(X21+Xm).^2);
pb=2.*abs(ibm)^2*(((R21./(2-snom)))*Xm.^2)./((R21./(2-snom)).^2+(X21+Xm).^2);
omega=2*pi*f/p;
mf=2.*pf./omega;
mb=-2.*pb./omega;

im=ifm+ibm;
ia=1i.*ifm-1i.*ibm;

iu=im+ia;

ima=double(real(im));   
imb=double(imag(im));

iua=double(real(iu));  
iub=double(imag(iu));  

iaa=double(real(ia)); 
iab=double(imag(ia));


plotv([ima iua iaa;imb iub iab]);
setprave('LineWidth',2.5);          
hold on   
legend('Im ','Iu','Ia ','Location','Best');





