%-------------------------------------------------------------------------
% Definisanje parametara jednofaznog asinhronog motora dobijenih iz ogleda
% KS i PH izvedenih sa glavnom i pomocnom fazom
%--------------------------------------------------------------------------
u=100;
f=50;
p=2;
snom=0.06;

% definisanje napona
% um - napon glavne faze
% ua - napon pomocne faze


slucaj=input('Izabrati zeljeni tip motora:(1: dvofazni) (2: jednofazni) (3: kondenzatorski) (4: kondenzatorski sa zaletnim kondenzatorom) ');

switch slucaj
    case 1
        %slucaj1;
        % faze su prikljucene na simetrican izvor napona - dvofazni motor
        %clear
        um=u;
        ua=1i.*u;
        Rim=11.8;
        Xim=8.84;
        Ria=11.8;
        Xia=8.84;
        Xc=0;
        s_isklj=.5;
    case 2
        %slucaj2:
        % prikljucena je samo glavna faza - jednofazni motor
        um=u;
        ua=0;
        Rim=11.8;
        Xim=8.84;
        Ria=1./eps;
        Xia=11.93;
        Xc=0;
        s_isklj=.5;
    case 3
        %slucaj3:
        % obe faze su prikljucene na isti napon - kondenzatorski motor
        um=u;
        ua=u;
        Rim=11.8;
        Xim=8.84;
        Ria=6.2;
        Xia=11.93;
        C=20e-6;
        Xc=1./(2.*pi*f*C);
        s_isklj=.5;
    case 4
        %slucaj4:
        % obe faze su prikljucene na isti napon - kondenzatorski motor
        % sa zaletnim i radnim kondenzatorom
        um=u;
        ua=u;
        Rim=11.8;
        Xim=8.84;
        Ria=6.2;
        Xia=11.93;
        C=20e-6;
        Czal=13.*20e-6;
        Xc=1./(2.*pi*f*C);
        Xczal=1./(2.*pi*f*Czal);
        s_isklj=input('klizanje pri kome se iskljucuje zaletni kondenzator s_isklj=');
    otherwise
        disp('pogresan izbor');
end

%paramteri kola rotora i grane magnecenja
R21=3.59;
X21=8.84;

Rm=2.84;
Xm=105.5;

Zm=Rm+1i.*Xm;

